@echo off
if %4nothing==nothing goto Start
if %4!==Switch! goto Continue
if %4!==SwitchBack! goto Finish
:Start
cls
echo ===== BM2COPY Program for Copying BIBLE MARATHON to Other Media =====
if %1nothing==nothing goto msg
if %2nothing==nothing goto msg
if %3nothing==nothing goto msg
if not exist %2:bm20d.zip goto WrongDsk
if not exist c:\*.* goto NoHD
copy bm2copy.bat c:\ > nul
c:\bm2copy %1 %2 %3 Switch
:Continue
if %3==a set targetD=A
if %3==A set targetD=A
if %3==b set targetD=B
if %3==B set targetD=B
if %3==c set targetD=C
if %3==C set targetD=C
if %3==d set targetD=D
if %3==D set targetD=D
if %3==e set targetD=E
if %3==E set targetD=E
if %3==f set targetD=F
if %3==F set targetD=F
if %3==g set targetD=G
if %3==G set targetD=G
if %3==h set targetD=H
if %3==H set targetD=H
if %3==i set targetD=I
if %3==I set targetD=I
if %3==j set targetD=J
if %3==J set targetD=J
if %3==k set targetD=K
if %3==K set targetD=K
if %3==l set targetD=L
if %3==L set targetD=L
if %3==m set targetD=M
if %3==M set targetD=M
if %3==n set targetD=N
if %3==N set targetD=N
if %3==o set targetD=O
if %3==O set targetD=O
if %3==p set targetD=P
if %3==P set targetD=P
if %3==q set targetD=Q
if %3==Q set targetD=Q
if %3==r set targetD=R
if %3==R set targetD=R
if %3==s set targetD=S
if %3==S set targetD=S
if %3==t set targetD=T
if %3==T set targetD=T
if %3==u set targetD=U
if %3==U set targetD=U
if %3==v set targetD=V
if %3==V set targetD=V
if %3==w set targetD=W
if %3==W set targetD=W
if %3==x set targetD=X
if %3==X set targetD=X
if %3==y set targetD=Y
if %3==Y set targetD=Y
if %3==z set targetD=Z
if %3==Z set targetD=Z
if %2==a set sourceD=A
if %2==A set sourceD=A
if %2==b set sourceD=B
if %2==B set sourceD=B
if %2==c set sourceD=C
if %2==C set sourceD=C
if %2==d set sourceD=D
if %2==D set sourceD=D
if %2==e set sourceD=E
if %2==E set sourceD=E
if %2==f set sourceD=F
if %2==F set sourceD=F
if %2==g set sourceD=G
if %2==G set sourceD=G
if %2==h set sourceD=H
if %2==H set sourceD=H
if %2==i set sourceD=I
if %2==I set sourceD=I
if %2==j set sourceD=J
if %2==J set sourceD=J
if %2==k set sourceD=K
if %2==K set sourceD=K
if %2==l set sourceD=L
if %2==L set sourceD=L
if %2==m set sourceD=M
if %2==M set sourceD=M
if %2==n set sourceD=N
if %2==N set sourceD=N
if %2==o set sourceD=O
if %2==O set sourceD=O
if %2==p set sourceD=P
if %2==P set sourceD=P
if %2==q set sourceD=Q
if %2==Q set sourceD=Q
if %2==r set sourceD=R
if %2==R set sourceD=R
if %2==s set sourceD=S
if %2==S set sourceD=S
if %2==t set sourceD=T
if %2==T set sourceD=T
if %2==u set sourceD=U
if %2==U set sourceD=U
if %2==v set sourceD=V
if %2==V set sourceD=V
if %2==w set sourceD=W
if %2==W set sourceD=W
if %2==x set sourceD=X
if %2==X set sourceD=X
if %2==y set sourceD=Y
if %2==Y set sourceD=Y
if %2==z set sourceD=Z
if %2==Z set sourceD=Z
if %1==360 goto 5DD
if %1==720 goto 3DD
if %1==1200 goto 5HD
if %1==1440 goto 3HD
if %1==CD goto CD-ROM
if %1==cd goto CD-ROM
if %1==Cd goto CD-ROM
if %1==cD goto CD-ROM
goto msg
:5DD
echo ÿ
echo You will need nine (9) 5 1/4 inch, blank, formatted, 360K DD floppy disks
echo for this operation.  Please make sure first disk is in %targetD% drive, then
echo press a key to begin copying files . . .
pause > nul
echo ÿ
echo Copying files. . .  Please wait
for %%F in (%2:*.bat %2:*.exe %2:bm20b.zip) do copy %%F %3: > nul
cls
echo ===== BM2COPY Program for Copying BIBLE MARATHON to Other Media ===== ÿ
echo °°°°°°°°
echo      11%%
echo ÿ
echo Please remove disk in drive %targetD% and label "BIBLE MARATHON DISK 1".
echo Insert 2nd blank, formatted, 360K DD floppy disk in drive %targetD%, then
echo press a key to continue copying files . . .
pause > nul
echo ÿ
echo Copying files. . .  Please wait
copy %2:bm20c.zip %3: > nul
cls
echo ===== BM2COPY Program for Copying BIBLE MARATHON to Other Media =====
echo °°°°°°°°°°°°°°°°
echo              22%%
echo ÿ
echo Please remove disk in drive %targetD% and label "BIBLE MARATHON DISK 2".
echo Insert 3rd blank, formatted, 360K DD floppy disk in drive %targetD%, then
echo press a key to continue copying files . . .
pause > nul
echo ÿ
echo Copying files. . .  Please wait
copy %2:bm20d.zip %3: > nul
cls
echo ===== BM2COPY Program for Copying BIBLE MARATHON to Other Media =====
echo °°°°°°°°°°°°°°°°°°°°°°°°
echo                      33%%
echo ÿ
echo Please remove disk in drive %targetD% and label "BIBLE MARATHON DISK 3".
echo Insert 4th blank, formatted, 360K DD floppy disk in drive %targetD%, then
echo press a key to continue copying files . . .
pause > nul
echo ÿ
echo Copying files. . .  Please wait
copy %2:bm20e.zip %3: > nul
:Stay
cls
echo ===== BM2COPY Program for Copying BIBLE MARATHON to Other Media =====
echo °°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°
echo                              44%%
if exist %2:bm20f.zip goto SkipChg1
echo ÿ
echo Please remove original BIBLE MARATHON Disk 1 from drive %sourceD% and
echo insert original BIBLE MARATHON Disk 2.
:SkipChg1
echo ÿ
echo Please remove disk in drive %targetD% and label "BIBLE MARATHON DISK 4".
echo Insert 5th blank, formatted, 360K DD floppy disk in drive %targetD%, then
echo press a key to continue copying files . . .
pause > nul
if not exist %2:bm20f.zip goto Stay
echo ÿ
echo Copying files. . .  Please wait
copy %2:bm20f.zip %3: > nul
cls
echo ===== BM2COPY Program for Copying BIBLE MARATHON to Other Media =====
echo °°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°
echo                                      55%%
echo ÿ
echo Please remove disk in drive %targetD%: and label "BIBLE MARATHON DISK 5".
echo Insert 6th blank, formatted, 360K DD floppy disk in drive %targetD%:, then
echo press a key to continue copying files . . .
pause > nul
echo ÿ
echo Copying files. . .  Please wait
copy %2:bm20g.zip %3: > nul
cls
echo ===== BM2COPY Program for Copying BIBLE MARATHON to Other Media =====
echo °°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°
echo                                              66%%
echo ÿ
echo Please remove disk in drive %targetD%: and label "BIBLE MARATHON DISK 6".
echo Insert 7th blank, formatted, 360K DD floppy disk in drive %targetD%:, then
echo press a key to continue copying files . . .
pause > nul
echo ÿ
echo Copying files. . .  Please wait
copy %2:bm20h.zip %3: > nul
cls
echo ===== BM2COPY Program for Copying BIBLE MARATHON to Other Media =====
echo °°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°
echo                                                      77%%
echo ÿ
echo Please remove disk in drive %targetD%: and label "BIBLE MARATHON DISK 7".
echo Insert 8th blank, formatted, 360K DD floppy disk in drive %targetD%:, then
echo press a key to continue copying files . . .
pause > nul
echo ÿ
echo Copying files. . .  Please wait
copy %2:bm20i.zip %3: > nul 
cls
echo ===== BM2COPY Program for Copying BIBLE MARATHON to Other Media =====
echo °°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°
echo                                                              88%%
echo ÿ
echo Please remove disk in drive %targetD%: and label "BIBLE MARATHON DISK 8".
echo Insert 9th blank, formatted, 360K DD floppy disk in drive %targetD%:, then
echo press a key to continue copying files . . .
pause > nul
echo ÿ
echo Copying files. . .  Please wait
for %%F in (%2:bm20j.zip %2:bm20k.zip) do copy %%F %3: > nul
cls
echo ===== BM2COPY Program for Copying BIBLE MARATHON to Other Media =====
echo °°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°
echo                                                                   100%%
echo ÿ
echo BIBLE MARATHON files successfully copied to 5 1/4 DD disks.
echo ÿ
if exist %2:bm20b.zip goto SkipMsg1ÿ
echo Please remove BIBLE MARATHON Disk 2 from drive %sourceD%:.
echo ÿ
:SkipMsg1
echo Please remove disk in drive %targetD%: and label "BIBLE MARATHON DISK 9".
echo ÿ
echo 5 1/4 inch DD floppy disks are ready for distribution.
set sourceD=
set targetD=
goto CleanUp
:3DD
echo ÿ
echo You will need five (5) 3 1/2 inch, blank, formatted, 720K DD floppy disks
echo for this operation.  Please make sure first disk is in %targetD% drive, then
echo press a key to begin copying files . . .
pause > nul
echo ÿ
echo Copying files. . .  Please wait
for %%F in (%2:*.bat %2:*.exe %2:bm20b.zip %2:bm20c.zip) do copy %%F %3: > nul
cls
echo ===== BM2COPY Program for Copying BIBLE MARATHON to Other Media =====
echo °°°°°°°°°°°°°°
echo            20%%
echo ÿ
echo Please remove disk in drive %targetD% and label "BIBLE MARATHON DISK 1".
echo Insert 2nd blank, formatted, 720K DD floppy disk in drive %targetD%, then
echo press a key to continue copying files . . .
pause > nul
echo ÿ
echo Copying files. . .  Please wait
for %%F in (%2:bm20d.zip %2:bm20e.zip) do copy %%F %3: > nul
:DoAgain
cls
echo ===== BM2COPY Program for Copying BIBLE MARATHON to Other Media =====
echo °°°°°°°°°°°°°°°°°°°°°°°°°°°°
echo                          40%%ÿ
if exist %2:bm20f.zip goto SkipChg2
echo ÿ
echo Please remove original BIBLE MARATHON Disk 1 from drive %sourceD% and 
echo insert original BIBLE MARATHON Disk 2.
:SkipChg2
echo ÿ
echo Please remove disk in drive %targetD% and label "BIBLE MARATHON DISK 2".
echo Insert 3rd blank, formatted, 720K DD floppy disk in drive %targetD%, then
echo press a key to continue copying files . . .
pause > nul
if not exist %2:bm20f.zip goto DoAgain
echo ÿ
echo Copying files. . .  Please wait
for %%F in (%2:bm20f.zip %2:bm20g.zip) do copy %%F %3: > nul
cls
echo ===== BM2COPY Program for Copying BIBLE MARATHON to Other Media =====
echo °°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°
echo                                        60%%
echo ÿ
echo Please remove disk in drive %targetD% and label "BIBLE MARATHON DISK 3".
echo Insert 4th blank, formatted, 720K DD floppy disk in drive %targetD%, then
echo press a key to continue copying files . . .
pause > nul
echo ÿ
echo Copying files. . .  Please wait
for %%F in (%2:bm20h.zip %2:bm20i.zip) do copy %%F %3: > nul
cls
echo ===== BM2COPY Program for Copying BIBLE MARATHON to Other Media =====
echo °°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°
echo                                                      80%%
echo ÿ
echo Please remove disk in drive %targetD% and label "BIBLE MARATHON DISK 4".
echo Insert 5th blank, formatted, 720K DD floppy disk in drive %targetD%, then
echo press a key to continue copying files . . .
pause > nul
echo ÿ
echo Copying files. . .  Please wait
for %%F in (%2:bm20j.zip %2:bm20k.zip) do copy %%F %3: > nul
cls
echo ===== BM2COPY Program for Copying BIBLE MARATHON to Other Media =====
echo °°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°
echo                                                                   100%%
echo ÿ
echo BIBLE MARATHON files successfully copied to 3 1/2 DD disks.
echo ÿ
if exist %2:bm20b.zip goto SkipMsg2ÿ
echo Please remove BIBLE MARATHON Disk 2 from drive %sourceD%:.
echo ÿ
:SkipMsg2
echo Please remove disk in drive %targetD% and label "BIBLE MARATHON DISK 5".
echo ÿ
echo 3 1/2 inch DD floppy disks are ready for distribution.
set sourceD=
set targetD=
goto CleanUp
:5HD
echo ÿ
echo You will need three (3) 5 1/4 inch, blank, formatted, 1.2M HD floppy disks
echo for this operation.  Please make sure first disk is in %targetD% drive, then
echo press a key to begin copying files . . .
pause > nul
echo ÿ
echo Copying files. . .  Please wait
for %%F in (%2:*.bat %2:*.exe %2:bm20b.zip %2:bm20c.zip %2:bm20d.zip) do copy %%F %3: > nul
cls
echo ===== BM2COPY Program for Copying BIBLE MARATHON to Other Media =====
echo °°°°°°°°°°°°°°°°°°°°°°°
echo                     33%%
echo ÿ
echo Please remove disk in drive %targetD% and label "BIBLE MARATHON DISK 1".
echo Insert 2nd blank, formatted, 1.2M HD floppy disk in drive %targetD%, then
echo press a key to continue copying files . . .
pause > nul
echo ÿ
echo Copying files. . .  Please wait
copy %2:bm20e.zip %3: > nul
if exist %2:bm20f.zip goto SkipChg3
cls
echo ===== BM2COPY Program for Copying BIBLE MARATHON to Other Media =====
echo °°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°
echo                             41%%
echo ÿ
echo Please remove original BIBLE MARATHON Disk 1 from drive %sourceD% and insert
echo original BIBLE MARATHON Disk 2, then press a key to continue . . .
pause > nul
echo ÿ
echo Copying files. . .  Please wait
:SkipChg3
for %%F in (%2:bm20f.zip %2:bm20g.zip) do copy %%F %3: > nul
cls
echo ===== BM2COPY Program for Copying BIBLE MARATHON to Other Media =====
echo °°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°
echo                                           67%%
echo ÿ
echo Please remove disk in drive %targetD% and label "BIBLE MARATHON DISK 2".
echo Insert 3rd blank, formatted, 1.2M HD floppy disk in drive %targetD%, then
echo press a key to continue copying files . . .
pause > nul
echo ÿ
echo Copying files. . .  Please wait
for %%F in (%2:bm20h.zip %2:bm20i.zip %2:bm20j.zip %2:bm20k.zip) do copy %%F %3: > nul
cls
echo ===== BM2COPY Program for Copying BIBLE MARATHON to Other Media =====
echo °°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°
echo                                                                   100%%
echo ÿ
echo BIBLE MARATHON files successfully copied to 5 1/4 HD disks.
echo ÿ
if exist %2:bm20b.zip goto SkipMsg3
echo Please remove BIBLE MARATHON Disk 2 from drive %sourceD%:.
echo ÿ
:SkipMsg3
echo Please remove disk in drive %targetD% and label "BIBLE MARATHON DISK 3".
echo ÿ
echo 5 1/4 inch HD floppy disks are ready for distribution.
set sourceD=
set targetD=
goto CleanUp
:3HD
if exist %2:bm20e.zip goto Test2
goto WrongDsk
:Test2
if not exist %2:bm20f.zip goto Error
echo ÿ
echo You will need two (2) 3 1/2 inch, blank, formatted, 1.44M HD floppy disks
echo for this operation.  Please make sure first disk is in %targetD% drive, then
echo press a key to begin copying files . . .
pause > nul
echo ÿ
echo Copying files. . .  Please wait
for %%F in (%2:*.bat %2:*.exe %2:bm20b.zip %2:bm20c.zip %2:bm20d.zip %2:bm20e.zip) do copy %%F %3: > nul
cls
echo ===== BM2COPY Program for Copying BIBLE MARATHON to Other Media =====
echo °°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°
echo                                 50%%
echo ÿ
echo Please remove disk in drive %targetD% and label "BIBLE MARATHON DISK 1".
echo Insert 2nd blank, formatted, 1.44M HD floppy disk in drive %targetD%, then
echo press a key to continue copying files . . .
pause > nul
echo ÿ
echo Copying files. . .  Please wait
for %%F in (%2:bm20f.zip %2:bm20g.zip %2:bm20h.zip %2:bm20i.zip %2:bm20j.zip %2:bm20k.zip) do copy %%F %3: > nul
cls
echo ===== BM2COPY Program for Copying BIBLE MARATHON to Other Media =====
echo °°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°
echo                                                                   100%%
echo ÿ
echo BIBLE MARATHON files successfully copied to 3 1/2 inch HD disks.
echo ÿ
echo Please remove disk in drive %targetD% and label "BIBLE MARATHON DISK 2".
echo ÿ
echo 3 1/2 inch HD floppy disks are ready for distribution.
set sourceD=
set targetD=
goto CleanUp
:CD-ROM
echo ÿ
echo You must have a minimum of 3 megabytes of disk space to complete this
echo operation.  Please make sure %targetD% drive is ready, then press a key to
echo begin copying files (Ctrl-C to abort) . . .
pause > nul
echo ÿ
echo Copying files. . .  Please wait
for %%F in (%2:*.bat %2:*.exe %2:bm20a.* bm20b.* bm20c.* bm20d.* bm20e.*) do copy %%F %3: > nul
if exist %2:bm20f.zip goto SkipChg4
:ReDo
cls
echo ===== BM2COPY Program for Copying BIBLE MARATHON to Other Media =====
echo °°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°
echo                                 50%%
echo ÿ
echo Please remove original BIBLE MARATHON Disk 1 from drive %sourceD% and insert
echo original BIBLE MARATHON Disk 2, then press a key to continue . . .
pause > nul
if not exist %2:bm20f.zip goto ReDo
echo ÿ
echo Copying files. . .  Please wait
:SkipChg4
for %%F in (%2:bm20f.* %2:bm20g.* %2:bm20h.* %2:bm20i.* %2:bm20j.* %2:bm20k.*) do copy %%F %3: > nul 
if exist %2:bm20b.zip goto SkipBar
echo ÿ
echo Copying files. . .  Please wait
cls
echo ===== BM2COPY Program for Copying BIBLE MARATHON to Other Media =====
echo °°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°
echo                                                                   100%%
:SkipBar
echo ÿ
echo BIBLE MARATHON files successfully copied to CD-ROM Disk (or hard disk
echo directory).
echo ÿ
if exist %2:bm20b.zip goto SkipMsg5
echo Please remove distribution diskette from drive %sourceD%.
echo ÿ
:SkipMsg5
echo CD-ROM (or hard disk) files are ready for distribution.
set sourceD=
set targetD=
goto CleanUp
:NoHD
cls
echo ÿ
echo Your computer must have a hard drive, designated Drive C, in order to
echo run this program.
goto end
:Error
cls
echo ÿ
echo If you are copying FROM 3 1/2 inch HD disks TO 3 1/2 inch HD disks, please
echo use DOS DISKCOPY command for making copies of Bible Marathon program files.
goto end
:WrongDsk
cls
echo ÿ
echo It appears that you are not copying Bible Marathon from the original 3 1/2
echo inch disks or from hard or CD-ROM disk.  Please contact Bible Marathon for
echo distribution disks.
goto end
:msg
echo ÿ
echo Command Line Syntax: BM2COPY [disksize] [copy from drive] [copy to drive] 
echo ÿ
echo [disksize] options: 360, 720, 1200, 1440, CD
echo 360  =  360K DD 5 1/4 inch Disk
echo 720  =  720K DD 3 1/2 inch Disk
echo 1200 =  1.2M HD 5 1/4 inch Disk
echo 1440 = 1.44M HD 3 1/2 inch Disk
echo CD   =  CD-ROM Disk (or single directory on hard disk)
echo ÿ
echo [copy from drive]: drive FROM which you are copying files (A, B, D, etc.)
echo ÿ
echo [copy to drive]: drive TO which you are copying files (A, B, D, etc.)
echo ÿ
echo Example: "BM2COPY 360 A B"  - Copies from drive A to 360K disks in drive B
goto end
:CleanUp
echo ÿ
if exist %2:bm20b.zip goto SkipMsg6
echo Please insert original # 1 install disk.  Then, press any key . . .
pause > nul
:SkipMsg6
%2:
BM2COPY %1 %2 %3 SwitchBack
:Finish
del c:\BM2COPY.bat
:end
echo ÿ
